Subject: RE: bug#2398: NOT FIXED - MUSTMATCH read-file-name arg, confirm-nonexistent-file-or-buffer

From: "Drew Adams" <[email-masked]>
Date: Sat, 15 Aug 2009 14:53:49 -0700

> > FWIW, I don't see `2398' in the Changelog for either manual, but
> > perhaps I didn't search correctly.
> 
> I wrote in a reply to bug#2398, on 19 March:
> 
> > The minibuffer changes have now been documented.

Yes, and I checked the new doc at that time and then replied, saying:

  The manual still says that read-file-name argument
  REQUIRE-MATCH has the same meaning as for `completing-read'.
  And it says nothing about the special values for this argument
  and the new behavior they effect.

Was I mistaken then? It's possible that I was looking at the wrong thing. You
did not reply, however, to let me know, if I was wrong.

> These are the relevant changelog entries (I didn't put in the 
> bug number in this case, though I probably should have...

Yes, it's a little extra work, but it might have saved both of us some effort in
the long run.

At any rate, I probably wouldn't have known to find the references in the
Changelog - now I know better. But I did check the latest CVS doc at the time
and wrote my reply that AFAICT the part I cited was unchanged. (Again, perhaps I
was looking at the wrong thing.)